/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
struct	rm_attribute {
	char	*a_qualifier;
	char	*a_value;
};

/*
** The config structure is used to save a name to be used as a key
** for searching and a value or function call to provide an "answer"
** for the name in question.
*/
typedef	char	*(*confunc) A_((struct rm_attribute *));
struct	config {
	char	*c_name;
	union	{
		confunc	c_func;
		char	*c_value;
	} c_u;
};

#define RM_NPARM	20	/* max number of parameters for child */

#define	RM_CMD_CLOSE	1
#define	RM_CMD_REQUEST	2
#define RM_CMD_CONFIG	3
#define RM_CMD_SHUTDOWN	4

#define RM_RSP_OK	100
#define RM_RSP_ERROR	999

/*
** Macros for fast min/max.
*/
#ifndef MIN
#define MIN(a,b) (((a)<(b))?(a):(b))
#endif
#ifndef MAX
#define MAX(a,b) (((a)>(b))?(a):(b))
#endif
